/*
ͻ
 What's it called: EPMTeX V1.2c                                             
                                                                            
 What does it do:  The E source code for the EPMTeX enhancements V1.2c      
                   for EPM. This file is included by PROCESSMENUINIT        
                   in stdctrl.e for setting menu attributes                 
                                                                                                                                                        
                                                                            
 Who and When:     Jon Hacker 2/93                                          
                                                                            
ͼ
*/

-------------------------------------------------------------------------------

-- since this file is included at the end of PROCESSMENUINIT we cannot put any
-- global declarations here.  We need to use a procedure call to get the
-- value of universal variables.

    tex_latex = get_tex_latex()
    tex_user_defined = get_tex_user(0)
    tex_user = get_tex_user(1)
    tex_landscape = get_tex_landscape()
    tex_auto_log = get_tex_auto_log()
    tex_auto_save = get_tex_auto_save()
    tex_syntax = get_tex_syntax(0)
    tex_expand_on = get_tex_syntax(1)
    tex_debug = get_tex_debug()
    if menuid=9 then                                 -- TeX menu ID is 9
        SetMenuAttribute( 909, 8192, not tex_latex)
        if tex_user_defined then
           SetMenuAttribute( 910, 8192, not tex_user)
        endif
        SetMenuAttribute( 911, 8192, not tex_landscape)
        SetMenuAttribute( 912, 8192, not tex_auto_log)
        SetMenuAttribute( 913, 8192, not tex_auto_save)
        if tex_syntax then
            SetMenuAttribute( 914, 8192, not tex_expand_on)
        endif
        SetMenuAttribute( 915, 8192, not tex_debug)
        return
    endif





